de.dhbwstuttgart.typeinference.assumptions

## Class GenericVarAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.GenericVarAssumption

-     public class GenericVarAssumption
      extends Assumption

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GenericTypeVar` | `genericVar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericVarAssumption(GenericTypeVar genericVar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericTypeVar` | `getAssumedType()`
    `JavaClassName` | `getIdentifier()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### genericVar

          private GenericTypeVar genericVar

  - ### Constructor Detail

    - #### GenericVarAssumption

          public GenericVarAssumption(GenericTypeVar genericVar)

  - ### Method Detail

    - #### getAssumedType

          public GenericTypeVar getAssumedType()

      Overrides:
        `getAssumedType` in class `Assumption`

    - #### getIdentifier

          public JavaClassName getIdentifier()

      Overrides:
        `getIdentifier` in class `Assumption`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`